aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/osmocom-nightly-packages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/osmocom-nightly-packages.sh')
-rwxr-xr-xscripts/osmocom-nightly-packages.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/osmocom-nightly-packages.sh b/scripts/osmocom-nightly-packages.sh
index a00cad1..c2b603b 100755
--- a/scripts/osmocom-nightly-packages.sh
+++ b/scripts/osmocom-nightly-packages.sh
@@ -9,6 +9,11 @@ if [ -n "$(ls)" ]; then
exit 1
fi
+if ! which osc >/dev/null 2>/dev/null ; then
+ echo "osc binary not found"
+ exit 1
+fi
+
set -x -e
git clone git://git.osmocom.org/osmo-sip-connector